Skip to main content
POST
/
private-records
/
{record_id}
/
financial-files
Upload private record financial file
curl --request POST \
  --url https://api.mycreditapp.ai/v1-beta/private-records/{record_id}/financial-files \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --header 'Requester-Organization-ID: <requester-organization-id>' \
  --header 'Target-Organization-ID: <target-organization-id>' \
  --form 'currency=<string>' \
  --form file='@example-file'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "original_filename": "<string>",
  "mime_type": "<string>",
  "size_bytes": 123,
  "sha256": "<string>",
  "currency": "<string>",
  "status": "uploaded",
  "uploaded_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "file_message": "File processed successfully"
}

Authorizations

Authorization
string
header
required

Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.

Headers

Requester-Organization-ID
string<uuid>
required

The unique identifier of the organization making the request. This ID is used to authorize the requester within the system.

Example:

"054b4106-174b-46b0-97f8-86d8d7b6f0af"

Target-Organization-ID
string<uuid>
required

The unique identifier of the organization that is the target of the request. The Target-Organization-ID may match the Requester-Organization-ID if the requester accesses their own resources. If the Target-Organization-ID differs from the Requester-Organization-ID, the requester can access third-party resources if the requester has a connection with the target organization and is authorized to perform such actions.

Example:

"123e4567-e89b-12d3-a456-426614174000"

Path Parameters

record_id
string<uuid>
required

Unique identifier of the private record

Example:

"b25e7b65-e46a-40d5-a0f2-0de8c2b354aa"

Body

multipart/form-data
currency
string
required
Required string length: 3
file
file
required

Response

Successful Response

id
string<uuid>
required

Unique identifier of the financial file

Example:

"b267d0d3-496f-4592-a1ae-59c9d279ca64"

original_filename
string
required

Original filename of the uploaded file

Required string length: 1 - 255
Example:

"financials_2025.pdf"

mime_type
string
required

MIME type of the uploaded file, must be on of: application/x-rar-compressed, application/vnd.rar, application/zip, application/x-7z-compressed, application/pdf

Required string length: 1 - 100
Examples:

"application/pdf"

"application/vnd.ms-excel"

size_bytes
integer
required

Size of the file in bytes

Example:

524288

sha256
string
required

SHA-256 hash of the file

Required string length: 64
Example:

"3a7bd3e2360a65d3b7b9b1d45c9f6b0b5c2e8d7f8b9c6e5f4a3d2c1b0e9f8a7d"

currency
string
required

Valid currency code in ISO 4217

Required string length: 3
Examples:

"USD"

"EUR"

"GBP"

status
enum<string>
required

Processing status of the file

Available options:
uploaded,
processing,
valid,
invalid,
failed
uploaded_at
string<date-time>
required

Timestamp when the file was uploaded

Example:

"2025-12-12T12:34:56.123456"

created_at
string<date-time>
required

Timestamp when the file was created

Example:

"2025-12-12T12:34:56.123456"

updated_at
string<date-time>
required

Timestamp when the file was updated

Example:

"2025-12-12T12:34:56.123456"

file_message
string | null

Optional message regarding the file

Maximum string length: 1000
Example:

"File processed successfully"